GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | List of all members
gridfire::approx8::ODE Struct Reference

Functor to calculate the derivatives for the ODE solver. More...

`#include <engine_approx8.h>`

## Public Member Functions
void | operator() (const vector_type &y, vector_type &dydt, double) const
| Calculates the derivatives of the state vector.

## Detailed Description

Functor to calculate the derivatives for the ODE solver.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

## Member Function Documentation

## ◆ operator()()

void gridfire::approx8::ODE::operator() | ( | const vector_type & | y,
|  | vector_type & | dydt,
|  | double | ) const

Calculates the derivatives of the state vector.

Parameters

  y | State vector.
  dydt | Derivative of the state vector.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

The documentation for this struct was generated from the following files:

- src/include/gridfire/engine/engine_approx8.h
- src/lib/engine/engine_approx8.cpp